=== debian/changelog ===
x264 (2:0.163.3060+git5db6aa6-2build1) jammy; urgency=medium

  * Rebuild against new libgpac11.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 07 Mar 2022 15:23:59 +0100

x264 (2:0.163.3060+git5db6aa6-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 26 Feb 2022 18:21:41 +0100

x264 (2:0.163.3060+git5db6aa6-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Repository.
  * Update standards version to 4.5.1, no changes needed.

  [ Rico Tzschichholz ]
  * Update to new stable upstream
  * New upstream version 0.163.3060+git5db6aa6
  * Update debian/control for soname bump
  * Drop upstream and obsolete GPAC patches
  * Add build-dep on pkg-config
  * Regenerate manpage

  [ Sebastian Ramacher ]
  * debian/control: Bump Standards-Version
  * debian/copyright: Bump copyright years

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 18 Feb 2022 08:35:05 +0100
