=== debian/control ===
Source: x264
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Reinhard Tartler <siretart@tauware.de>,
 Rico Tzschichholz <ricotz@ubuntu.com>
Build-Depends:
 debhelper-compat (= 13),
 libavformat-dev (>= 6:9) <!stage1>,
 libffms2-dev <!stage1>,
 libgpac-dev (>= 0.5.0+svn4288~) <!stage1>,
 nasm (>= 2.13) [any-i386 any-amd64],
 pkg-config
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/multimedia-team/x264.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/x264
Homepage: https://www.videolan.org/developers/x264.html
Rules-Requires-Root: no

Package: x264
Section: graphics
Architecture: any
Build-Profiles: <!stage1>
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: video encoder for the H.264/MPEG-4 AVC standard
 x264 is an advanced commandline encoder for creating H.264 (MPEG-4 AVC)
 video streams.
 .
 x264 supports the following features:
  * CABAC (context-based adaptive binary arithmetic coding) and CAVLC
    (context-based adaptive variable length coding
  * multiple reference frames
  * 16x16, 8x8 and 4x4 intra-predicted macroblocks
  * all P-frame inter-predicted macroblock types
  * B-Inter-predicted macroblock types from 16x16 down to 8x8
  * rate distortion optimization
  * multiple rate control modes (constant quantizer, constant quality, single
    or multipass ABR with the option of VBV)
  * scene cut detection
  * adaptive B-frame placement, with the option of keeping B-frames as
    references / arbitrary frame order
  * 8x8 and 4x4 adaptive spatial transform (high profile)
  * lossless mode (high 4:4:4 profile)
  * custom quantization matrices (high profile)
  * parallel encoding on multiple CPUs
  * interlaced streams

Package: libx264-163
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: x264 video coding library
 libx264 is an advanced encoding library for creating H.264 (MPEG-4 AVC)
 video streams.
 .
 This package contains the libx264 shared library.

Package: libx264-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libx264-163 (= ${binary:Version}),
 ${misc:Depends}
Description: development files for libx264
 libx264 is an advanced encoding library for creating H.264 (MPEG-4 AVC)
 video streams.
 .
 This package contains the static library and headers used to build programs
 that use libx264.
