## x264 0.164.3095+gitbaee400

=== Makefile ===
--- 
+++ 
@@ -391,3 +391,4 @@
 	$(INSTALL) x264$(EXE) $(DESTDIR)$(bindir)
 
 install-lib-dev:
+	$(INSTALL) -d $(DESTDIR)$(includedir)
