=== debian/changelog ===
x264 (2:0.164.3095+gitbaee400-2build1) kinetic; urgency=medium

  * No-change rebuild against libavcodec59

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Jul 2022 13:12:01 +0000

x264 (2:0.164.3095+gitbaee400-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 16 Jun 2022 19:31:55 +0200

x264 (2:0.164.3095+gitbaee400-1) experimental; urgency=medium

  [ Rico Tzschichholz ]
  * Update to new stable upstream
  * New upstream version 0.164.3095+gitbaee400
  * Update debian/control for soname bump
  * Regenerate manpage

  [ Sebastian Ramacher ]
  * debian/control: Bump Standards-Version
  * debian/copyright: Update copyright years

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sat, 11 Jun 2022 17:19:41 +0200
