=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: x264
 Section: libs
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Reinhard Tartler <siretart@tauware.de>,
  Rico Tzschichholz <ricotz@ubuntu.com>
@@ -12,7 +13,7 @@
  libgpac-dev (>= 0.5.0+svn4288~) <!stage1>,
  nasm (>= 2.13) [any-i386 any-amd64],
  pkg-config
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/multimedia-team/x264.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/x264
 Homepage: https://www.videolan.org/developers/x264.html
@@ -48,7 +49,7 @@
   * parallel encoding on multiple CPUs
   * interlaced streams
 
-Package: libx264-163
+Package: libx264-164
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -65,7 +66,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libx264-163 (= ${binary:Version}),
+ libx264-164 (= ${binary:Version}),
  ${misc:Depends}
 Description: development files for libx264
  libx264 is an advanced encoding library for creating H.264 (MPEG-4 AVC)
