## x264 0.164.3108+git31e19f9

=== debian/changelog ===
x264 (2:0.164.3108+git31e19f9-3) unstable; urgency=medium

  * Team upload
  * Fix build with ffmpeg 8.0 (Closes: #1115043)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 12 Sep 2025 23:13:57 +0200

x264 (2:0.164.3108+git31e19f9-2) unstable; urgency=medium

  * Team upload
  * debian/patches: Fix incompatible pointer type errors on ppc64el

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 30 Jul 2024 15:11:15 +0200

x264 (2:0.164.3108+git31e19f9-1) unstable; urgency=medium

  * Update to new stable upstream
  * New upstream version 0.164.3108+git31e19f9
  * Regenerate manpage

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sun, 28 Jan 2024 22:48:50 +0100

x264 (2:0.164.3095+gitbaee400-3) unstable; urgency=medium

  * Team upload
  * debian/: Disable gpac support
    gpac is a constant source of security issues. gpac support is disabled so
    it can be removed from bookworm.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 12 Apr 2023 23:37:05 +0200
