=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: x264
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Reinhard Tartler <siretart@tauware.de>,
  Rico Tzschichholz <ricotz@ubuntu.com>
@@ -10,7 +9,6 @@
  debhelper-compat (= 13),
  libavformat-dev (>= 6:9) <!stage1>,
  libffms2-dev <!stage1>,
- libgpac-dev (>= 0.5.0+svn4288~) <!stage1>,
  nasm (>= 2.13) [any-i386 any-amd64],
  pkg-config
 Standards-Version: 4.6.1
