=== debian/changelog ===
x264 (2:0.165.3222+gitb35605ac-3) unstable; urgency=medium

  * debian/control:
    - Add myself to uploaders
    - Move x264 to video section
  * debian/rules: Refactor configure flag handling
    - mips64el is no longer a release architecture
    - Remove space handling for sparc which is no longer applicable
    - Hard-code handling for armhf
    - Hard-code handling for i386
    - Fix handling of powerpc architectures (Closes: #1103936)
  * debian/: Remove static library

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 21 Sep 2025 23:45:22 +0200

x264 (2:0.165.3222+gitb35605ac-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable
  * debian/rules: Disable optimizations on powerpc architectures (Closes:
    #1103936)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 20 Sep 2025 23:34:39 +0200

x264 (2:0.165.3222+gitb35605ac-1) experimental; urgency=medium

  * Team upload
  * New upstream version 0.165.3222+gitb35605ac
  * SONAME bump: libx265-164 -> libx265-165
  * debian/control:
    - Switch to pkgconf
    - Bump Standards-Version
  * debian/copyright: Bump copyright years
  * debian/: Use dh 13 substitution variables
  * debian/patches: Remove patches included upstream

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 14 Sep 2025 14:37:58 +0200
