=== debian/control ===
--- 
+++ 
@@ -4,21 +4,22 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Reinhard Tartler <siretart@tauware.de>,
- Rico Tzschichholz <ricotz@ubuntu.com>
+ Rico Tzschichholz <ricotz@ubuntu.com>,
+ Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  libavformat-dev (>= 6:9) <!stage1>,
  libffms2-dev <!stage1>,
  nasm (>= 2.13) [any-i386 any-amd64],
- pkg-config
-Standards-Version: 4.6.1
+ pkgconf
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/multimedia-team/x264.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/x264
 Homepage: https://www.videolan.org/developers/x264.html
 Rules-Requires-Root: no
 
 Package: x264
-Section: graphics
+Section: video
 Architecture: any
 Build-Profiles: <!stage1>
 Depends:
@@ -47,7 +48,7 @@
   * parallel encoding on multiple CPUs
   * interlaced streams
 
-Package: libx264-164
+Package: libx264-165
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -64,7 +65,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libx264-164 (= ${binary:Version}),
+ libx264-165 (= ${binary:Version}),
  ${misc:Depends}
 Description: development files for libx264
  libx264 is an advanced encoding library for creating H.264 (MPEG-4 AVC)
